CommandLineDriver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class CommandLineDriver

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.editor.CommandLineDriver

Direct Known Subclasses:
  Editor

public class CommandLineDriver
extends java.lang.Object

Field Summary
`protected static java.lang.String` | `ANY`
`protected static java.lang.String` | `AT_LEAST_ONE`
`static java.lang.String` | `exitHelp`
`static java.lang.String[]` | `exitSyntax`
`static java.lang.String` | `helpHelp`
`static java.lang.String[]` | `helpSyntax`
`protected static java.lang.String` | `OPTIONAL`
`static java.lang.String` | `quitHelp`
`static java.lang.String[]` | `quitSyntax`

Constructor Summary
`CommandLineDriver()`

Method Summary
`java.lang.Object` | `dispatchCommand(java.lang.String cmd)`
`java.lang.String` | `doExitCommand(java.lang.String[] args)`
`java.lang.String` | `doHelpCommand(java.lang.String[] args)`
`java.lang.String` | `doQuitCommand(java.lang.String[] args)`
`void` | `exitCommandLine()`
`void` | `exitCommandLine(int exitCode)`
`static void` | `main(java.lang.String[] args)`
`void` | `processCommands()`
`void` | `processCommands(java.io.Reader rdr, java.io.Writer wtr)`
`void` | `reflectCommandMethods()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTIONAL

    protected static final java.lang.String OPTIONAL

See Also:
  Constant Field Values

### AT_LEAST_ONE

    protected static final java.lang.String AT_LEAST_ONE

See Also:
  Constant Field Values

### ANY

    protected static final java.lang.String ANY

See Also:
  Constant Field Values

### exitHelp

    public static final java.lang.String exitHelp

See Also:
  Constant Field Values

### exitSyntax

    public static final java.lang.String[] exitSyntax

### quitHelp

    public static final java.lang.String quitHelp

See Also:
  Constant Field Values

### quitSyntax

    public static final java.lang.String[] quitSyntax

### helpHelp

    public static final java.lang.String helpHelp

See Also:
  Constant Field Values

### helpSyntax

    public static final java.lang.String[] helpSyntax

Constructor Detail

### CommandLineDriver

    public CommandLineDriver()

Method Detail

### main

    public static void main(java.lang.String[] args)

### reflectCommandMethods

    public void reflectCommandMethods()

### processCommands

    public void processCommands()
                         throws java.io.IOException

    `java.io.IOException`

### processCommands

    public void processCommands(java.io.Reader rdr,
                                java.io.Writer wtr)
                         throws java.io.IOException

    `java.io.IOException`

### dispatchCommand

    public java.lang.Object dispatchCommand(java.lang.String cmd)
                                     throws java.lang.Throwable

    `java.lang.Throwable`

### doExitCommand

    public java.lang.String doExitCommand(java.lang.String[] args)

### doQuitCommand

    public java.lang.String doQuitCommand(java.lang.String[] args)

### exitCommandLine

    public void exitCommandLine()

### exitCommandLine

    public void exitCommandLine(int exitCode)

### doHelpCommand

    public java.lang.String doHelpCommand(java.lang.String[] args)
                                   throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD